## org.apache.mahout.cf.taste.similarity.precompute
Interface SimilarItemsWriter

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  FileSimilarItemsWriter

    public interface SimilarItemsWriter

extends Closeable

Used to persist the results of a batch item similarity computation conducted with a `BatchItemSimilarities` implementation

Method Summary
`void` `add(SimilarItems similarItems)`
`void` `open()`

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### open

    void open()
              throws IOException

  Throws:
    `IOException`

### add

    void add(SimilarItems similarItems)
             throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.